Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.params
Class ClientParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.client.params.ClientParamBean

    @NotThreadSafe
    public class ClientParamBean

extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP client parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`ClientParamBean(HttpParams params)`

Method Summary
`void` | `setAllowCircularRedirects(boolean allow)`
`void` | `setConnectionManagerFactoryClassName(String factory)` Deprecated. (4.2) do not use.
`void` | `setConnectionManagerTimeout(long timeout)`
`void` | `setCookiePolicy(String policy)`
`void` | `setDefaultHeaders(Collection<Header> headers)`
`void` | `setDefaultHost(HttpHost host)`
`void` | `setHandleAuthentication(boolean handle)`
`void` | `setHandleRedirects(boolean handle)`
`void` | `setMaxRedirects(int maxRedirects)`
`void` | `setRejectRelativeRedirect(boolean reject)`
`void` | `setVirtualHost(HttpHost host)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientParamBean

    public ClientParamBean(HttpParams params)

Method Detail

### setConnectionManagerFactoryClassName

    @Deprecated
    public void setConnectionManagerFactoryClassName(String factory)

  Deprecated. (4.2) do not use.

### setHandleRedirects

    public void setHandleRedirects(boolean handle)

### setRejectRelativeRedirect

    public void setRejectRelativeRedirect(boolean reject)

### setMaxRedirects

    public void setMaxRedirects(int maxRedirects)

### setAllowCircularRedirects

    public void setAllowCircularRedirects(boolean allow)

### setHandleAuthentication

    public void setHandleAuthentication(boolean handle)

### setCookiePolicy

    public void setCookiePolicy(String policy)

### setVirtualHost

    public void setVirtualHost(HttpHost host)

### setDefaultHeaders

    public void setDefaultHeaders(Collection<Header> headers)

### setDefaultHost

    public void setDefaultHost(HttpHost host)

### setConnectionManagerTimeout

    public void setConnectionManagerTimeout(long timeout)

  Since:
    4.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.